/*
   Copyright 2009,2010 Ricardo Cañuelo Navarro

   This file is part of Oolong.

   Oolong is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Oolong is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Oolong.  If not, see <http://www.gnu.org/licenses/>.
*/

package es.rediris.forja.tea.api;

/**
 * This interface defines a common behavior for Meter objects.
 * It's needed by the main application and for every implemented meter
 * @author Ricardo Cañuelo Navarro
 * 
 */
public interface Meter
{
	/**
	 * Returns the name of the magnitude this particular meter measures
	 * @return Name of the magnitude
	 */
	String getMagnitude();
	
	/**
	 * Returns the actual value being measured by this meter
	 * @return Actual value
	 */
	float getValue();
	
	/**
	 * Sets the name of the magnitude for this meter
	 * @param mag New name of the magnitude
	 */
	void setMagnitude(String mag);
	
	/**
	 * Sets the new value for this meter
	 * @param valor New value
	 */
	void setValue(float valor);

	void setServer(String s);

	void setPort(String p);

	void setUpNetworking();
}
